<?php
namespace FM\Controller;

use Teknisa\Model\Util\NovoCodigo;


class TagController extends TeknisaCrud
{
    protected $environment;
    protected $interlocService;
    
    public function __construct ($environment, $interlocService)
    {
        $this->environment   = $environment;
        $this->tagService   = $interlocService;
    }
    
    public function saveOrUpdateTags($code, $tags, $table){
        $nrorg = $this->environment->getNrorgTrab();
        if($table == 'CONTATO'){
            $this->tagService->deleteTagsTicket($code, $nrorg);
        }else if($table == 'PARCNEGOCIO'){
            $this->tagService->deleteTagsParcnegocio($code, $nrorg);
        }
        
        if(!empty($tags)){
            if(!is_array($tags))
                $tags = array($tags);
            
            foreach($tags as $tag){
                $this->tagService->saveOrUpdateTag($code, $tag, $table, $nrorg);
            }
        }else{
            return;    
        }
    }
    
}