<?php
namespace FM\Service;

use FM\Factory\LoginFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class LoginService {
    
    protected $LoginFactory;
    protected $Environment;
    protected $newCode;
    
    public function __construct (LoginFactory $LoginFactory, Environment $Environment, NewCode $newCode) {
        $this->Environment                  = $Environment;
        $this->newCode                      = $newCode;
        $this->LoginFactory = $LoginFactory;
    }

    public function validaLogin($param){

      $operadores = $this->LoginFactory->validaLogin(array(
        "DSEMAILFUNCIONARIO" => $param['email'],
        "DSSENHAFUNC" => md5($param['password'])
        ));
      return $operadores;
  }
}